Name:           jack-mixer
Version:        13
Release:        1%{?dist}
Summary:        JACK Audio Mixer

License:        GPLv2
URL:            https://rdio.space/%{name}/
Source0:        https://github.com/%{name}/jack_mixer/archive/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  python3-gobject-devel
BuildRequires:  python3-cairo-devel
BuildRequires:  python3-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  glib2-devel
Requires:       jack-audio-connection-kit
Requires:       python3-gobject
Requires:       python3
Requires:       python3-cairo

%description
jack_mixer is an audio mixer for JACK with a look similar to its hardware
counterparts. Many features are available, here is a short list:

 - Mix any number of input channels (mono or stereo).
 - Control balance and faders with MIDI commands.
 - Handle session management with LASH.
 - Create as many outputs as necessary.
 - Quickly monitor inputs (PFL) and outputs.

%prep
%setup -q -n jack_mixer-release-%{version}


%build
./autogen.sh
%configure
%make_build


%install
%make_install
mkdir -p %{buildroot}%{python3_sitearch}
mv %{buildroot}%{_prefix}/lib/python%{python3_version}/site-packages/* %{buildroot}%{python3_sitearch}

%files
%license COPYING
%doc README.md
%doc NEWS
%{_bindir}/jack_mix_box
%{_bindir}/jack_mixer
%{_bindir}/jack_mixer.py
%{python3_sitearch}/*
%{_datadir}/applications/jack_mixer.desktop
%{_datadir}/icons/hicolor/*/apps/jack_mixer.*
%{_datadir}/jack_mixer/



%changelog
* Sat Oct 10 2020 Erich Eickmeyer <erich@ericheickmeyer.com>
- New package for Fedora
